import fetch from 'isomorphic-fetch';
import actionTypes from '../actiontype/trouble'
import userActionTypes from "../actiontype/user";
import {saveHeaderInfo} from './initHeader'
const domain = ENV.domain;

let json = {
    "meta": {
        "code": "200",
        "message": "成功",
        "success": true
    },
    "data": {
        "details": [
            {
                "id": 1634,
                "errorCode": "ER00001",
                "type": "KN",
                "description": "2:左侧动作故障,4:机械手移动到放货位置出错()",
                "files": [
                    {
                        "id": 17,
                        "filePath": "http://static.mjitech.com/static/sku/0/0/427/1471329704482.jpg"
                    },
                    {
                        "id": 18,
                        "filePath": "http://static.mjitech.com/static/sku/0/0/427/1471329704482.jpg"
                    },
                    {
                        "id": 19,
                        "filePath": "http://static.mjitech.com/static/sku/0/0/427/1471329704482.jpg"
                    },
                ],
            },
            {
                "id": 1,
                "errorCode": null,
                "type": "OP",
                "files": [
                ],
                "parentProblemName": "机械故障",
                "subProblemName": "其他问题111"
            }
        ],
        "employee": {
            "id": 5,
            "employeeName": "机器库管员",
            "headImageUrl": "http://www.mjitech.com/static/coupon/gounian/banner_hongbaotupian-3-14.jpg"
        },
        "taskId": 155,
        "sellOrderId" : 1

    }
}

const saveTroubleList = (data)=>{
    return{
        type:actionTypes.SAVETROUBLELIST,
        data
    }
};


const saveUserInfo = (data)=>{
    return{
        type : userActionTypes.SAVEUSERINFO,
        data
    }
}

var myHeaders = new Headers({
    'Access-Control-Allow-Origin': '*',
    // 'Content-Type': 'text/plain;charset=UTF-8',
    // 'Content-Type': 'application/x-www-form-urlencoded; charset=UTF-8',
    'Content-Type': 'application/json; charset=UTF-8',
});


const getTroubleList = (info)=>{
    console.log("getTroubleList ",info);
    //{storeId: 17, employeeId: 5, token: "966D5C0B-3CF2-420D-B9A3-313BA37DE092"}
    return(dispatch)=>{
        let bodyData = Object.assign({},{
            employeeId : info.employeeId,
            storeId : info.storeId
        });
        fetch(domain + 'machine_pad/list_fault.action',{
            credentials : 'include',
            method : 'POST',
            mode : 'cors',
            headers: myHeaders,
            body : JSON.stringify(bodyData)
        }).then((response)=>response.json())
            .then(json=>{
                if(json.meta.success && json.data){
                    dispatch(saveHeaderInfo({taskId:json.data.taskId,sellOrderId:json.data.sellOrderId}))
                    dispatch(saveTroubleList(json.data))
                }
            }).catch(e=>{console.error(e)})
        // if(json.meta.success && json.data){
        //     dispatch(saveHeaderInfo({taskId:json.data.taskId,sellOrderId:json.data.sellOrderId}))
        //     dispatch(saveTroubleList(json.data))
        // }

    }
};

const updateTroubleList = (info,headerInfo)=>{

    let bodyData = Object.assign({},{details:info},headerInfo);
    console.log("updateTroubleList :",bodyData)
    return(dispatch)=>{
        fetch(domain + 'machine_pad/save_all.action',{
            credentials : 'include',
            method : 'POST',
            mode : 'cors',
            headers: myHeaders,
            body : JSON.stringify(bodyData)
        }).then((response)=>response.json())
            .then(json=>{
                console.log("updateTroubleList : ",json);
            }).catch(e=>{console.error(e)})
    }
}

export {getTroubleList,updateTroubleList}

