import React from 'react';
import ImageComponent from '../../CommonComponent/ImgToolComponent/CommonSmalContainer';
import Button from '../../CommonComponent/ButtonComponent/ButtonComponent'
require('./index.css')
export default class TroubleItemComponent extends React.Component{
    constructor(props){
        super(props)
        this.state = {
            text: '',
            imgStyle:{
                'height':'100%',
            }
        }
        this.reRreshImg = this.reRreshImg.bind(this)
        this.deleteImgById = this.deleteImgById.bind(this)
        this.confirmDeleteImg = this.confirmDeleteImg.bind(this)
        this.addImg = this.addImg.bind(this)
        this.showImg = this.showImg.bind(this)
    }

    getDes(item){
        let des = "";
        switch (item.type){
            case 'KN':
                des = item.description || '';
                break;
            case 'OP':
                des = `${item.parentProblemName || ''} ${item.subProblemName || ''}`;
                break;
        }
        return des;
    }

    reRreshImg(){
        let props = this.props;
        let item = props.item;
        props.getRefreshImg(item.id,item.type)
    }

    addImg(){
        let props = this.props;
        let item = props.item;
        props.showQrcode(item.errorCode)
    }

    deleteImgById(fileId){
        console.log("deleteImgById :",fileId);
        let {hidePopup} = this.props;
        let props = this.props;
        let {deleteImg} = props;
        let item = props.item;
        let errorId = item.id;
        let type = item.type;
        console.log(errorId,type,fileId);
        hidePopup()
        deleteImg(errorId,type,fileId)
    }

    confirmDeleteImg(fileId){
        let {showPopup,hidePopup} = this.props;
        let btnDom1 = <Button key={"confirmDeleteTroubleImg1"} style={{'width':'260px'}} text={"取消"} option={hidePopup}/>
        let btnDom2 = <Button key={"confirmDeleteTroubleImg2"} style={{'width':'260px','marginLeft':' 30px'}} text={"确定"} option={()=>this.deleteImgById(fileId)}/>
        showPopup({
            popupText:'确定删除此照片吗',
            popupButtons:[btnDom1,btnDom2]
        })
    }

    showImg(imgSrc){
        let {showPopup,hidePopup} = this.props;
        let showImgDom = <div onClick={()=>hidePopup()} className={"showBigImg"}>
            <img src={imgSrc} alt=""/>
        </div>;
        showPopup({
            popupChild : showImgDom
        });
    }


    render(){
        let props = this.props;
        let item = props.item ? props.item : {};
        let description = this.getDes(item);
        let imgFiles = Array.isArray(item.files) ? item.files.map((f,k)=>{
            return <ImageComponent key={"troubleItemImg"+k}
                                   noCloseBtn={false}
                                   handleClikCloseFunc = {()=>this.confirmDeleteImg(f.id)}
                                   handleClikImgFunc = {()=>{this.showImg(f.filePath)}}
                                   type={"custom"}
                                   imgSrc = {f.filePath}/>

        }) : null;

        return (
            <div className={"troubleItemComponent "+((item.isExistProblem === 1 && item.explanation) || item.isExistProblem === 2 ? 'finish':'')}>
                <div className={"finishBox"}>
                    <div className={"finishText colfff font24"}>已处理</div>
                </div>
                <div className={"itemText font32"}>故障问题{props.num || 0}：故障ID-{item.errorCode || ''}</div>
                <div className={"itemWrongInfo font24 col999"}>
                    <p>{description}</p>
                </div>
                <div className={"jugdeQuestion font32 rel"}>
                    <span className={"colff7860 font32 star"}>*</span>
                    <span>是否有此问题</span>
                    <div className={"questionBox border_e5 "+(item.isExistProblem && parseInt(item.isExistProblem) === 1 ? 'active':'')}
                         onClick={()=>props.setItem(item.errorCode,"isExistProblem",1)}
                    >是</div>
                    <div className={"questionBox border_e5 "+(item.isExistProblem && parseInt(item.isExistProblem) === 2 ? 'active':'')}
                         onClick={()=>props.setItem(item.errorCode,"isExistProblem",2)}
                    >否</div>
                </div>
                <div className={"itemTextArea rel font24"}>
                    <div className={"itemTextEdit font24 colff7860"} onClick={()=>props.showText(item.errorCode)}>
                        <span className={"iconfont font24 icon icon-editor-line colff7860"}></span>
                        <span> 编辑</span>
                    </div>
                    <span className={"colff7860 font32 star"}>*</span>
                    <div className={"itemTextAreaBox col999 border_e5"} onClick={()=>props.showText(item.errorCode)}>
                        {
                            item.explanation ? <textarea readOnly className={"itemTextAreaBoxs col999"} value={item.explanation}></textarea> :
                                <span className={"itemPlayceHolder"}>编辑检查结果</span>
                        }

                    </div>
                </div>

                <div className={"itemControl rel"}>
                    {/*<div className={"plusImg controlBox "} onClick={()=>props.showQrcode(item.errorCode)}>*/}
                        {/*<img src={UTILPATH.localImg.plusIcon} alt=""/>*/}
                    {/*</div>*/}
                    {/*<div className={"refreshImg controlBox "} onClick={()=>props.getRefreshImg(item.id,item.type)}>*/}
                        {/*<img src={UTILPATH.localImg.refreshIcon} alt=""/>*/}
                    {/*</div>*/}
                    {imgFiles}
                    <ImageComponent type={"add"} handleClikImgFunc = {this.addImg} noCloseBtn = {true} />
                    <ImageComponent handleClikImgFunc = {this.reRreshImg} type={"refresh"} noCloseBtn = {true} />

                </div>
            </div>
        )
    }
}
